NI Series (NI-700 and NI-900) 32 MB Duet Master Firmware v3.60.453

Last Updated: Sep 01, 2018

NI-700
NI-900

 

Prerequisites:

  • Master build 300 or greater. (see Programming Information)
  • Requires NI-Device firmware version of 1.30.8 or greater to fully utilize the enhancements
  • If NI-Device version 1.30.8 or later is loaded before this master firmware version, the integrated device (5001) will be unavailable until the master side firmware is upgraded

 

Changes in this release:

  • Added the ability to disable IP Device Discovery on the Network Settings Web page
  • Added Mio R3, AVX-400, and NXA-PDU-1508-8 Axlink types
  • Removed erroneous "no help found" message from terminal "help security" request
  • Fixed Telnet "set duet" command to support setting Duet memory greater than 99 for the new NI-X100/256
  • Fixed an issue that could result in the integrated device (5001) reverting to a dynamic device number upon reboot
  • Fixed an issue that could result in master lockup when using ZeroConfig
  • Fixed an issue that could result in master lockup during MVP-9000i Ethernet Hot Swap
  • General stability improvements that prevent Master lockups under certain conditions

 

Known Issues:
None

Programming Information:
If you currently have a firmware build less than 300, to upgrade to this version (or greater) the upgrade requires the following process:

  1. Download kit with build 300 (or greater) - Download of last component will fail
  2. Reboot master
  3. Wait until you have connectivity to the master or you have a blinking AXLink status LED. This may take a couple of minutes.
  4. Download kit with build 300 (or greater) again - Download should pass
  5. Reboot master
  6. Please wait. This will take a few minutes for file extraction and key SSH generation. When you have connectivity to the master or the AXLink LED is blinking the master is ready

 

NI Series (NI-700 and NI-900) 32 MB Duet Master Firmware (v.3.60.456 Available from AMX Technical Support)

Prerequisites:

  • Master build 300 or greater. (see Programming Information)
  • Requires NI-Device firmware version of 1.30.8 or greater to fully utilize the enhancements.
  • If NI-Device version 1.30.8 or later is loaded before this master firmware version, the integrated device (5001) will be unavailable until the master side firmware is upgraded.

 

Changes in this release:

  • Fixed Master-to-master issue were multiple online events were occurring for device ports greater than 1.
  • Removed debugging account to prevent security vulnerability

 

Programming Information:
If you currently have a firmware build less than 300, to upgrade to this version (or greater) the upgrade requires the following process:

 

  • Download kit with build 300 (or greater) - Download of last component will fail.
  • Reboot master
  • Wait until you have connectivity to the master or you have a blinking AXLink status LED. This may take a couple of minutes.
  • Download kit with build 300 (or greater) again - Download should pass.
  • Reboot master.
  • Please wait. This will take a few minutes for file extraction and key SSH generation. When you have connectivity to the master or the AXLink LED is blinking the master is ready.